<?php
/**
 * The core plugin class.
 *
 * @since      1.0.0
 * @package    inline-comments-for-post
 * @subpackage inline-comments-for-post/includes
 * @author     Multidots <info@multidots.com>
 */

declare( strict_types = 1 );

namespace INLINE_COMMENTS_FOR_POST\Includes;

use INLINE_COMMENTS_FOR_POST\Includes\Blocks;
use INLINE_COMMENTS_FOR_POST\Includes\Traits\Singleton;

/**
 * Main class File.
 */
class Inline_Comments_For_Post {

	use Singleton;

	/**
	 * The loader that's responsible for maintaining and registering all hooks that power
	 * the plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      inline_comments_for_post_Loader    $loader    Maintains and registers all hooks for the plugin.
	 */
	protected $loader;

	/**
	 * The unique identifier of this plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      string    $plugin_name    The string used to uniquely identify this plugin.
	 */
	protected $plugin_name;

	/**
	 * The current version of the plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      string    $version    The current version of the plugin.
	 */
	protected $version;

	/**
	 * Define the core functionality of the plugin.
	 *
	 * @since    1.0.0
	 */
	public function __construct() {
		if ( defined( 'INLINE_COMMENTS_FOR_POST_VERSION' ) ) {
			$this->version = INLINE_COMMENTS_FOR_POST_VERSION;
		} else {
			$this->version = '2.0.0';
		}
		$this->plugin_name = 'inline-comments-for-post';

		Front::get_instance();
		Admin::get_instance();
		Activator::get_instance();
		Deactivator::get_instance();
		I18::get_instance();
		Blocks::get_instance();
	}
}
